<?php

// 登入 登出
$route['*']['/'] = array('LoginController', 'Signin');
$route['*']['/signin'] = array('LoginController', 'Signin');
$route['get']['/signout'] = array('LoginController', 'Signout');
$route['*']['/error'] = array('ErrorController', 'index');
// 项目
$route['*']['/project/welcome'] = array('MainController', 'welcome');
$route['get']['/project/list'] = array('MainController', 'prolist');
$route['*']['/project/index'] = array('ProjectController', 'index');
$route['*']['/project/:pid/overview'] = array('ProjectController', 'proOverview');
$route['*']['/project/:pid/section'] = array('ProjectController', 'proSection');
$route['*']['/project/:pmid/measure'] = array('ProjectController', 'proMeasure');
$route['*']['/project/section/get'] = array('ProjectController', 'getAjaxSection');
$route['*']['/project/:pid/section/:mpid/measure'] = array('ProjectController', 'proSectionMeasure');
$route['*']['/project/:pid/section/:pmid/detail'] = array('ProjectController', 'proDetail');
$route['*']['/project/:pid/section/:pmid/files'] = array('ProjectController', 'proSectionFiles');
$route['*']['/project/:pid/section/:pmid/files/recover'] = array('ProjectController', 'proSectionFilesRecover');
// R
$route['*']['/rproject/index'] = array('RProjectController', 'index');
$route['*']['/rproject/:pid/section'] = array('RProjectController', 'proSection');
$route['*']['/rproject/:pid/section/:mpid/measure'] = array('RProjectController', 'proSectionMeasure');
$route['*']['/rproject/:pid/section/:pmid/detail'] = array('RProjectController', 'proDetail');
$route['*']['/rproject/:pmid/measure/detail'] = array('RProjectController', 'proMeasure');
$route['*']['/rproject/:pid/section/:pmid/report/:mpid'] = array('RProjectController', 'proReport');
$route['*']['/rproject/:pid/section/:pmid/files/:mpid'] = array('RProjectController', 'proSectionFiles');
$route['*']['/rproject/section/get/:iaid/attachment'] = array('RProjectController', 'proSectionGetFiles');
// S
$route['get']['/sproject/index'] = array('SProjectController', 'index');
$route['get']['/sproject/:pid/section'] = array('SProjectController', 'proSection');
$route['get']['/sproject/:pid/section/:pmid/detail'] = array('SProjectController', 'proDetail');
$route['get']['/sproject/:pid/section/measure'] = array('SProjectController', 'proMeasure');
// 登入登出API
$route['*']['/user/profile'] = array('UserController', 'index');
$route['*']['/user/avatar'] = array('UserController', 'avatar');
$route['*']['/user/repasswd'] = array('UserController', 'repasswd');
// Client API
// 登入登出API
$route['*']['/api/client/signin'] = array('ClientController', 'ClientSignin');
//$route['*']['/api/client/fileup'] = array('ClientController', 'ClientFileup');
/**
 * 创建合同标段
 */
$route['*']['/api/client/:uid/:bname/:ckey/creatmeasure'] = array('ClientController', 'ClientCreatmeasure');
/**
 * 提交期数据 上报
 * 标段ID upfile文件
 */
$route['*']['/api/client/period/:userid/:tenderid/:phaseno/creat'] = array('ClientController', 'ClientPeriod');
$route['*']['/api/client/measure/status/:tenderid/get'] = array('ClientController', 'getMAStatus'); //当前期数状态查询接口
/**
 * 用户查询接口
 * uemail
 */
$route['*']['/api/client/user/get/search'] = array('ClientController', 'getUserSearch');
/**
 * 获取当前期所有审核用户及其状态
 * 标段ID 期数ID
 */
$route['*']['/api/client/user/get/all/:tenderid/:phaseno/measure'] = array('ClientController', 'getAlluserMeasure');
/**
 * 添加审核人接口
 */
$route['*']['/api/client/user/add/audit/measure'] = array('ClientController', 'addAuditMeasure');
/**
 * 查询标段期数是否存在
 */
$route['*']['/api/client/check/status/measure'] = array('ClientController', 'checkMeasureStatus');
/**
 * 根据用户查询当前关联标段
 * 点击查询所有参与的项目
 * 登录时查询关联项目更新
 */
$route['*']['/api/client/user/get/audit/project'] = array('ClientController', 'getAuditProject');
/**
 * 标段期审核接口
 */
$route['*']['/api/client/user/audit/measure'] = array('ClientController', 'auditMeasure');
/**
 * 查询标段更新
 * 双击项目
 */
$route['*']['/api/client/tender/get/:tenderid/update'] = array('ClientController', 'checkTenderUpdate');
/**
 * 手动创建审核人员列表
 */
$route['*']['/api/client/phaseno/userlist/create'] = array('ClientController', 'creatTenderNumPnameUser');
/**
 * 手动创建审核人员列表
 */
$route['*']['/api/client/user/del/:userid/:tenderid/:phaseno/audit'] = array('ClientController', 'delAuditMeasure');
/**
 * 返回指定用户参与的所有项目
 * 双击打开项目接口
 */
$route['*']['/api/client/user/get/:userid/allproject'] = array('ClientController', 'getUserALLProject');
/**
 * 返回指定用户参
 */
$route['*']['/api/client/user/get/:userid/info'] = array('ClientController', 'getUserInfo');
/**
 * 设置审核未通过操作接口
 */
$route['*']['/api/client/user/set/:userid/:tenderid/:phaseno/checkno'] = array('ClientController', 'setCheckno');
/**
 * 创建未通过新一期
 */
$route['*']['/api/client/user/create/:tenderid/:phaseno/new/audit'] = array('ClientController', 'createNewAudit');
/**
 * 重做新一期获取原报上报文件
 */
$route['*']['/api/client/user/get/:tenderid/:phaseno/report/file'] = array('ClientController', 'getReportFile');
/**
 * 从桌面软件端变更标段名称接口
 */
$route['*']['/api/client/tender/:BidID/:BidNewName/update'] = array('ClientController', 'updateTenderName');
/**
 * 获取登录界面显示软件名称
 */
$route['*']['/api/client/software/title'] = array('ClientVerController', 'getLoginTitle');
/**
 * 附件上传接口
 */
$route['*']['/api/client/tender/attachment/:tenderid/:uid/upload'] = array('ClientController', 'uploadItemFile');
/**
 * 根据标段ID获取全部附件列表
 */
$route['*']['/api/client/tender/attachment/:tenderid/list'] = array('ClientController', 'getItemFileList');
/**
 * 根据附件ID编辑文件名和备注
 */
$route['*']['/api/client/tender/attachment/info/:fileid/update'] = array('ClientController', 'updateItemFileDesc');
/**
 * 根据关联列表ID删除附件关联关系
 */
$route['*']['/api/client/tender/attachment/:fileid/del'] = array('ClientController', 'delItemFile');
/**
 * 根据标段ID获取全部附件列表
 */
$route['*']['/api/client/tender/attachment/get/:tenderid/files/all'] = array('ClientController', 'getAttaFilesAll');
/**
 * 根据标段ID和期数获取审核意见
 */
$route['*']['/api/client/tender/get/:tenderid/:phaseno/auditopinion'] = array('ClientController', 'getAuditOpinion');
/**
 * 根据标段ID和期数获取审核意见
 */
$route['*']['/api/client/tender/get/:tenderid/exist'] = array('ClientController', 'getCountPmid');
// admin
$route['*']['/manage'] = array('[admin]LoginController', 'signIn');
$route['*']['/manage/signin'] = array('[admin]LoginController', 'signIn');
$route['*']['/manage/signout'] = array('[admin]LoginController', 'signOut');
$route['*']['/manage/user/add'] = array('[admin]AdminController', 'addUser');
$route['*']['/manage/user/edit/:uid/uid'] = array('[admin]AdminController', 'editUser');
$route['*']['/manage/user/list'] = array('[admin]AdminController', 'userList');
$route['*']['/manage/user/repasswd/:uid/uid'] = array('[admin]AdminController', 'userRepasswd');
$route['*']['/manage/option'] = array('[admin]AdminController', 'option');
$route['get']['/manage/user/:uid/isstop'] = array('[admin]AdminController', 'userSwitch');

$route['*']['/manage/item/list'] = array('[admin]ItemController', 'itemList');
$route['*']['/manage/item/list/:pid/project'] = array('[admin]ItemController', 'itemList');
$route['*']['/manage/item/del/:pmid'] = array('[admin]ItemController', 'itemDel');
$route['*']['/manage/restore/list'] = array('[admin]RestoreController', 'restoreList');
$route['*']['/manage/sys/info'] = array('[admin]SysController', 'sysinfo');
?>